import java.io.File;

public class VerzeichnisBaum
{
   private static DateiSystemEintrag durchlaufen (File f)
   {
      if (f.isDirectory())
      {  
	 // es ist ein Ordner
         Ordner res = new Ordner(f.getName());
         // der Ordnerinhalt als Array von Strings 
         String[] ordnerinhalt = f.list();

         // rekursives Durchlaufen des Ordnerinhaltes
         for (int i = 0; i < ordnerinhalt.length; i++)
            res.hinzufuegen(durchlaufen(new File(f.getPath() + "/"
                                                 + ordnerinhalt [i])));

         return res;
      }
      else
      {  
	 // es ist eine gewoehnliche Datei
         Datei res = new Datei(f.getName());
         return res;
      }
   }

   public static void main (String argv [])
   {  
      // Die Wurzel fuer unseren Verzeichnisbaum
      String wurzel = argv [0];
      // Durchlaufen des gesamten Verzeichnisbaums
      DateiSystemEintrag e = durchlaufen(new File(wurzel));

      // Ausgabe des Verzeichnisbaums
      e.druckeVerzeichnisBaum(""); // Der String-Parameter ist die Einrueckung
   }
}
